Bug 562997

Summary: Review Request: rubygem-maruku - Markdown-superset interpreter written in Ruby
Product: [Fedora] Fedora Reporter: Mo Morsi <mmorsi>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mtasaka, notting
Target Milestone: ---Flags: mtasaka: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-17 07:41:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 562992    
Bug Blocks: 562998    

Description Mo Morsi 2010-02-09 00:06:10 UTC
Spec URL: http://mo.morsi.org/files/gems/rubygem-maruku.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-maruku-0.6.0-1.fc12.src.rpm
Description:
Maruku is a Markdown interpreter in Ruby. It features native export to HTML
and PDF (via Latex). The output is really beautiful!


rpmlint rpmbuild/RPMS/noarch/rubygem-maruku-0.6.0-1.fc12.noarch.rpm 
rubygem-maruku.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/maruku-0.6.0/ri/MaRuKu/MDDocument/is_math_enabled%3f-i.yaml %3f
rubygem-maruku.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/maruku-0.6.0/ri/MaRuKu/In/Markdown/any_matching_block_extension%3f-i.yaml %3f
rubygem-maruku.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/maruku-0.6.0/ri/MaRuKu/new_meta_data%3f-i.yaml %3f
rubygem-maruku.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/maruku-0.6.0/ri/String/t2_contains_signature%3f-i.yaml %3f
rubygem-maruku.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/maruku-0.6.0/ri/String/t2_empty%3f-i.yaml %3f
rubygem-maruku.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/maruku-0.6.0/ri/MaRuKu/In/Markdown/SpanLevelParser/HTMLHelper/is_finished%3f-i.yaml %3f
rubygem-maruku.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/maruku-0.6.0/ri/MaRuKu/MDElement/%3d%3d-i.yaml %3d
rubygem-maruku.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/maruku-0.6.0/ri/MaRuKu/Strings/force_linebreak%3f-i.yaml %3f
rubygem-maruku.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/maruku-0.6.0/ri/MaRuKu/markdown_extra%3f-i.yaml %3f
1 packages and 0 specfiles checked; 0 errors, 9 warnings.

The result of the ri documentation generator. Not much can be done. Other rubygems have been accepted in lieu of this warning, so ignorning


rpmlint rpmbuild/SRPMS/rubygem-maruku-0.6.0-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Package builds fine in mock. Koji build unavailable due to rubygem-syntax dependency.

Comment 1 Mamoru TASAKA 2010-02-12 18:55:41 UTC
Some notes:
- License tag should be "GPLv2+".
- For other issues
  - unused / unneeded macros
  - URL
  - ruby(abi) dependency
  - marking %doc
  - enabling %check (as this contains tests/ directory)
Please check my comment on bug 562993 .

Comment 2 Mo Morsi 2010-02-17 21:24:05 UTC
(In reply to comment #1)
> Some notes:
> - License tag should be "GPLv2+".
Done

> - For other issues
>   - unused / unneeded macros
Done

>   - URL
See my comment reply on bug 562993

>   - ruby(abi) dependency
>   - marking %doc
>   - enabling %check (as this contains tests/ directory)
All done

> Please check my comment on bug 562993 .    

Updated and uploaded new rubygem-maruku rpm

Spec URL: http://mo.morsi.org/files/gems/rubygem-maruku.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-maruku-0.6.0-2.fc12.src.rpm

Comment 3 Mamoru TASAKA 2010-02-18 07:55:21 UTC
Please address
 - directory ownership issue
 - rake test failure (at least BR: rubygem(rake) is needed.
   Also it seems "Gem::manage_gems" in Rakefile seems deprecated)

Comment 4 Mo Morsi 2010-02-23 16:52:35 UTC
(In reply to comment #3)
> Please address
>  - directory ownership issue
>  - rake test failure (at least BR: rubygem(rake) is needed.
>    Also it seems "Gem::manage_gems" in Rakefile seems deprecated)    

All three issues are resolved.

Updated and uploaded new rubygem-maruku spec / srpm

Spec URL: http://mo.morsi.org/files/gems/rubygem-maruku.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-maruku-0.6.0-3.fc12.src.rpm 

There are a few tests that fail when rake test is run, though the majority pass. The same tests fail when I install the upstream gem via the normal 'gem install' means and run rake test in the default installation dir.

Comment 5 Mamoru TASAKA 2010-02-24 19:05:45 UTC
Well, after checking the whole source code, I cannot figure
out under what license this gem is distributed under.
Perhaps under GPLv2+, however
- Overall license text could not be found
- especially I cannot figure out under what licenses scripts under
  bin/ directory are.

Would you ask the upstream?

Comment 6 Mo Morsi 2010-02-28 23:44:29 UTC
Maruku is licensed under the GPLv2+

http://github.com/nex3/maruku/blob/master/LICENSE

Thus the current specfile should be good in that respect.

Comment 7 Mamoru TASAKA 2010-03-04 17:36:56 UTC
Okay.

--------------------------------------------------------
  This package (rubygem-maruku) is APPROVED by mtasaka
--------------------------------------------------------

Comment 8 Mo Morsi 2010-03-08 18:24:30 UTC
New Package CVS Request
=======================
Package Name: rubygem-maruku
Short Description: A Markdown interpreter in Ruby.
Owners: mmorsi
Branches: F-12, F-13
InitialCC:

Comment 9 Kevin Fenzi 2010-03-09 06:12:49 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Mamoru TASAKA 2010-03-17 07:41:28 UTC
Closing.